# Class BimIfcStyle

#### Implements

- BimIfcStyleDTO

##### Index

### Constructors

constructor

### Properties

color
color3
color4

### Accessors

a
b
diffuseFactor
diffuseTransmissionFactor
g
hash
name
r
reflectionFactor
specularFactor
surfaceColor
transmissionFactor

## Constructors

### constructor

- new BimIfcStyle(_style: BimIfcStyleDTO): BimIfcStyle

  #### Parameters

  - _style: BimIfcStyleDTO

  #### Returns BimIfcStyle

## Properties

### `Readonly` color

color: ArrayLike<number>

### `Readonly` color3

color3: Color3

### `Readonly` color4

color4: Color4

## Accessors

### a

- get a(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.a

### b

- get b(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.b

### diffuseFactor

- get diffuseFactor(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.diffuseFactor

### diffuseTransmissionFactor

- get diffuseTransmissionFactor(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.diffuseTransmissionFactor

### g

- get g(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.g

### hash

- get hash(): string

  #### Returns string

  Implementation of BimIfcStyleDTO.hash

### name

- get name(): string

  #### Returns string

  Implementation of BimIfcStyleDTO.name

### r

- get r(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.r

### reflectionFactor

- get reflectionFactor(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.reflectionFactor

### specularFactor

- get specularFactor(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.specularFactor

### surfaceColor

- get surfaceColor(): readonly [number, number, number, number]

  #### Returns readonly [number, number, number, number]

### transmissionFactor

- get transmissionFactor(): number

  #### Returns number

  Implementation of BimIfcStyleDTO.transmissionFactor